<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 16/7/2018
 * Time: 8:24 PM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['id_contacto']) && isset($_REQUEST['estado'])) {
            $idcontacto = $_REQUEST['id_contacto'];
            $estado = $_REQUEST['estado'];
            $contacto = R::load('directoriocontacto', $idcontacto);
            $contacto->fechaModificacion = date('Y-m-d H:i:s');
            $contacto->estado = $estado;
            $id = R::store($contacto);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}